This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284209 - OpenSSLDie __attribute__((noreturn))
OpenSSLDie __attribute__((noreturn))
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 18:41 EST by Sami Farin
Modified: 2015-11-23 04:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 04:44:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add __attribute__((noreturn)) to OpenSSLDie (580 bytes, patch)
2015-11-21 18:41 EST, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2015-11-21 18:41:38 EST
Created attachment 1097498 [details]
add __attribute__((noreturn)) to OpenSSLDie

Description of problem:
patch to add __attribute__((noreturn)) to OpenSSLDie to reduce false positives from static analyzers

Version-Release number of selected component (if applicable):
1.0.1k-12
Comment 1 Tomas Mraz 2015-11-23 04:44:16 EST
Please report that issue upstream via rt@openssl.org

Note You need to log in before you can comment on or make changes to this bug.